Page MenuHomeFreeBSD

New port: graphics/lazpaint: Image editor written in Lazarus
ClosedPublic

Authored by acm on Apr 30 2018, 2:53 PM.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

lazpaint/Makefile
36 ↗(On Diff #42003)

Remove. There should be a wærning telling you not to do that.

linimon retitled this revision from New port: graphics/lazpaint to New port: graphics/lazpaint: Image editor written in Lazarus.Aug 2 2018, 10:12 PM
  • Apply mat's suggestions

Does not need portmgr approval, not adding FLAVORS.

Makefile
24 ↗(On Diff #46240)

Default, please remove.

35 ↗(On Diff #46240)

Like the warning told you, this is wrong, please remove the line.

37–40 ↗(On Diff #46240)

As you have no control on what the default flavor is, this should probably be better written as something like this:

USE_FPC_gtk2=  cairo
USE_GNOME_gtk2= cairo
USE_FPC+= ${USE_FPC_${FLAVOR}}
USE_GNOME+= ${USE_GNOME_${FLAVOR}}
  • Apply mat's suggestions
acm marked 3 inline comments as done.Aug 6 2018, 6:43 PM
This revision was not accepted when it landed; it landed in state Needs Review.Aug 7 2018, 7:07 AM
Closed by commit rP476570: - New port: graphics/lazpaint (authored by acm). · Explain Why
This revision was automatically updated to reflect the committed changes.
Makefile
31–33 ↗(On Diff #46350)

Wrong place in the Makefile. They are flavors helpers. See Chapter 15. Order of Variables in Port Makefiles.

acm marked an inline comment as done.Aug 7 2018, 7:46 AM